<?php
/**
 * All settings related to main banner post.
 *
 * @package NewsMaster
 */
$wp_customize->add_section(
    'main_banner_post',
    array(
        'title' => esc_html__('Main Banner Section', 'newsmaster'),
        'panel' => 'front_page_theme_options_panel',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_main_banner_section]',
    array(
        'default' => $newsmaster_default['enable_main_banner_section'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_main_banner_section]',
    array(
        'label' => esc_html__('Enable Main Banner', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_section_seperator_banner_column_1',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsMaster_Seperator_Control(
        $wp_customize,
        'newsmaster_section_seperator_banner_column_1',
        array(
            'label' => esc_html__('Banner Column - 1', 'newsmaster'),
            'settings' => 'newsmaster_section_seperator_banner_column_2',
            'section' => 'main_banner_post',
        )
    )
);
$wp_customize->add_setting(
    'newsmaster_options[banner_grid_first_category]',
    array(
        'default' => $newsmaster_default['banner_grid_first_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new NewsMaster_Dropdown_Taxonomies_Control(
        $wp_customize,
        'newsmaster_options[banner_grid_first_category]',
        array(
            'label' => __('Choose Grid Category', 'newsmaster'),
            'description' => __('Leave Empty if you don\'t want the posts to be category specific', 'newsmaster'),
            'section' => 'main_banner_post',
        )
    )
);
$wp_customize->add_setting(
    'newsmaster_options[banner_grid_first_category_offset]',
    array(
        'default' => $newsmaster_default['banner_grid_first_category_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[banner_grid_first_category_offset]',
    array(
        'label' => __('First Category Post Offset', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'newsmaster_section_seperator_banner_column_3',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsMaster_Seperator_Control(
        $wp_customize,
        'newsmaster_section_seperator_banner_column_3',
        array(
            'label' => esc_html__('Banner List Article', 'newsmaster'),
            'settings' => 'newsmaster_section_seperator_banner_column_3',
            'section' => 'main_banner_post',
        )
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_social_nav_on_banner]',
    array(
        'default' => $newsmaster_default['enable_social_nav_on_banner'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_social_nav_on_banner]',
    array(
        'label' => __('Enable Social Nav on Banner', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_banner_social_menu_style]',
    array(
        'default' => $newsmaster_default['select_banner_social_menu_style'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_banner_social_menu_style]',
    array(
        'label' => esc_html__('Social Menu Options', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => newsmaster_social_menu_style(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_social_nav_border_radius]',
    array(
        'default' => $newsmaster_default['enable_social_nav_border_radius'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_social_nav_border_radius]',
    array(
        'label' => __('Enable Border Radius', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[banner_list_right_column_category]',
    array(
        'default' => $newsmaster_default['banner_list_right_column_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new NewsMaster_Dropdown_Taxonomies_Control(
        $wp_customize,
        'newsmaster_options[banner_list_right_column_category]',
        array(
            'label' => __('Choose List Post Category', 'newsmaster'),
            'description' => __('Leave Empty if you don\'t want the posts to be category specific', 'newsmaster'),
            'section' => 'main_banner_post',
        )
    )
);
$wp_customize->add_setting(
    'newsmaster_options[banner_list_right_column_category_offset]',
    array(
        'default' => $newsmaster_default['banner_list_right_column_category_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[banner_list_right_column_category_offset]',
    array(
        'label' => __('List Post Offset', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'newsmaster_section_seperator_banner',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsMaster_Seperator_Control(
        $wp_customize,
        'newsmaster_section_seperator_banner',
        array(
            'label' => esc_html__('Banner Section Meta', 'newsmaster'),
            'settings' => 'newsmaster_section_seperator_banner',
            'section' => 'main_banner_post',
        )
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_banner_author_meta]',
    array(
        'default' => $newsmaster_default['enable_banner_author_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_banner_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_banner_author_meta]',
    array(
        'default' => $newsmaster_default['select_banner_author_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_banner_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => newsmaster_author_meta(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[banner_author_meta_title]',
    array(
        'default' => $newsmaster_default['banner_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[banner_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_banner_date_meta]',
    array(
        'default' => $newsmaster_default['enable_banner_date_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_banner_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_banner_date]',
    array(
        'default' => $newsmaster_default['select_banner_date'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_banner_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => newsmaster_date_meta(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_banner_date_meta_title]',
    array(
        'default' => $newsmaster_default['select_banner_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_banner_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_banner_date_format]',
    array(
        'default' => $newsmaster_default['select_banner_date_format'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_banner_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => newsmaster_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'newsmaster_options[enable_banner_category_meta]',
    array(
        'default' => $newsmaster_default['enable_banner_category_meta'],
        'sanitize_callback' => 'newsmaster_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'newsmaster_options[enable_banner_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_banner_number_of_category]',
    array(
        'default' => $newsmaster_default['select_banner_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_banner_number_of_category]',
    array(
        'label' => __('Number of Category', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[banner_category_label]',
    array(
        'default' => $newsmaster_default['banner_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[banner_category_label]',
    array(
        'label' => __('Category Label', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'newsmaster_options[select_banner_category_color]',
    array(
        'default' => $newsmaster_default['select_banner_category_color'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_banner_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'newsmaster'),
        'section' => 'main_banner_post',
        'type' => 'select',
        'choices' => newsmaster_category_color(),
    )
);